# Uses of Class
org.springframework.asm.Label

Packages that use Label
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of Label in org.springframework.asm

Methods in org.springframework.asm that return Label
Modifier and Type
Method
Description
`protected Label[]`
Attribute.`getLabels()`
Deprecated.
no longer used by ASM.
`static Label`
Attribute.`readLabel(ClassReader classReader, int bytecodeOffset, Label[] labels)`
Returns the label corresponding to the given bytecode offset by calling `ClassReader.readLabel(int, org.springframework.asm.Label[])`.
`protected Label`
ClassReader.`readLabel(int bytecodeOffset, Label[] labels)`
Returns the label corresponding to the given bytecode offset.
Methods in org.springframework.asm with parameters of type Label
Modifier and Type
Method
Description
`static Attribute`
Attribute.`read(Attribute attribute, ClassReader classReader, int offset, int length, char[] charBuffer, int codeAttributeOffset, Label[] labels)`
Reads an attribute with the same `Attribute.type` as the given attribute.
`protected Attribute`
Attribute.`read(ClassReader classReader, int offset, int length, char[] charBuffer, int codeAttributeOffset, Label[] labels)`
Reads a `Attribute.type` attribute.
`static Label`
Attribute.`readLabel(ClassReader classReader, int bytecodeOffset, Label[] labels)`
Returns the label corresponding to the given bytecode offset by calling `ClassReader.readLabel(int, org.springframework.asm.Label[])`.
`protected Label`
ClassReader.`readLabel(int bytecodeOffset, Label[] labels)`
Returns the label corresponding to the given bytecode offset.
`void`
MethodVisitor.`visitJumpInsn(int opcode, Label label)`
Visits a jump instruction.
`void`
MethodVisitor.`visitLabel(Label label)`
Visits a label.
`void`
MethodVisitor.`visitLineNumber(int line, Label start)`
Visits a line number declaration.
`void`
MethodVisitor.`visitLocalVariable(String name, String descriptor, String signature, Label start, Label end, int index)`
Visits a local variable declaration.
`AnnotationVisitor`
MethodVisitor.`visitLocalVariableAnnotation(int typeRef, TypePath typePath, Label[] start, Label[] end, int[] index, String descriptor, boolean visible)`
Visits an annotation on a local variable type.
`void`
MethodVisitor.`visitLookupSwitchInsn(Label dflt, int[] keys, Label[] labels)`
Visits a LOOKUPSWITCH instruction.
`void`
MethodVisitor.`visitTableSwitchInsn(int min, int max, Label dflt, Label... labels)`
Visits a TABLESWITCH instruction.
`void`
MethodVisitor.`visitTryCatchBlock(Label start, Label end, Label handler, String type)`
Visits a try catch block.

## Uses of Label in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return Label
Modifier and Type
Method
Description
`Label`
Block.`getEnd()`
`Label`
Block.`getStart()`
`Label`
CodeEmitter.`make_label()`
Methods in org.springframework.cglib.core with parameters of type Label
Modifier and Type
Method
Description
`void`
CodeEmitter.`goTo(Label label)`
`void`
CodeEmitter.`if_cmp(Type type, int mode, Label label)`
`void`
CodeEmitter.`if_icmp(int mode, Label label)`
`void`
CodeEmitter.`if_jump(int mode, Label label)`
`void`
CodeEmitter.`ifnonnull(Label label)`
`void`
CodeEmitter.`ifnull(Label label)`
`void`
CodeEmitter.`mark(Label label)`
`static void`
EmitUtils.`not_equals(CodeEmitter e, Type type, Label notEquals, Customizer customizer)`
Deprecated.
use `EmitUtils.not_equals(CodeEmitter, Type, Label, CustomizerRegistry)` instead
`static void`
EmitUtils.`not_equals(CodeEmitter e, Type type, Label notEquals, CustomizerRegistry registry)`
Branches to the specified label if the top two items on the stack are not equal.
`void`
ObjectSwitchCallback.`processCase(Object key, Label end)`
`void`
ProcessSwitchCallback.`processCase(int key, Label end)`
`void`
LocalVariablesSorter.`visitLocalVariable(String name, String desc, String signature, Label start, Label end, int index)`

## Uses of Label in org.springframework.cglib.transform

Methods in org.springframework.cglib.transform with parameters of type Label
Modifier and Type
Method
Description
`void`
MethodVisitorTee.`visitJumpInsn(int opcode, Label label)`
`void`
MethodVisitorTee.`visitLabel(Label label)`
`void`
MethodVisitorTee.`visitLineNumber(int line, Label start)`
`void`
MethodVisitorTee.`visitLocalVariable(String name, String desc, String signature, Label start, Label end, int index)`
`AnnotationVisitor`
MethodVisitorTee.`visitLocalVariableAnnotation(int typeRef, TypePath typePath, Label[] start, Label[] end, int[] index, String desc, boolean visible)`
`void`
MethodVisitorTee.`visitLookupSwitchInsn(Label dflt, int[] keys, Label[] labels)`
`void`
MethodVisitorTee.`visitTableSwitchInsn(int min, int max, Label dflt, Label... labels)`
`void`
MethodVisitorTee.`visitTryCatchBlock(Label start, Label end, Label handler, String type)`